SystemOrganization addCategory: #'Practica2-Ejercicio1'!
SystemOrganization addCategory: #'Practica2-Ejercicio2'!

Object subclass: #Empleado
	instanceVariableNames: 'nombre direccion estadoCivil fechaNacimiento sueldoBasico'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Practica2-Ejercicio1'!

!Empleado methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 6/13/2012 00:31'!
calcularEdad
	"Mtodo que devuelve la edad de la persona en aos"

	| edad |
	edad := 0.
	edad := ((Date today - fechaNacimiento) days / 365.25) asInteger.
	^ edad! !

!Empleado methodsFor: 'as yet unclassified' stamp: 'PauloPerez 6/12/2012 20:48'!
calcularSueldoBruto
	"comment stating purpose of message"

	| sueldoBruto |
	^sueldoBruto ! !

!Empleado methodsFor: 'as yet unclassified' stamp: 'PauloPerez 6/12/2012 20:47'!
calcularSueldoNeto
	"comment stating purpose of message"
	| sueldoNeto|
	^sueldoNeto ! !

!Empleado methodsFor: 'as yet unclassified' stamp: 'PauloPerez 6/12/2012 20:49'!
calcularTotalRetenciones
	"comment stating purpose of message"

	| totalRetenciones |
	^totalRetenciones! !

!Empleado methodsFor: 'as yet unclassified' stamp: 'PauloPerez 6/12/2012 20:49'!
generarRecibo
	"comment stating purpose of message"

	| recibo |
	^recibo ! !

Empleado subclass: #EmpleadoPermanente
	instanceVariableNames: 'cantidadHijos antiguedad'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Practica2-Ejercicio1'!

!EmpleadoPermanente methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 6/13/2012 01:13'!
calcularSueldoBruto
	"Mtodo para calcular el sueldo bruto de cada empleado de planta permanente"

	| sueldoBruto salarioFamiliar asignacionHijo asignacionConyuge |
	^ sueldoBruto! !

Empleado subclass: #EmpleadoTemporario
	instanceVariableNames: 'cantidadHorasExtras finContrato'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Practica2-Ejercicio1'!

!EmpleadoTemporario methodsFor: 'as yet unclassified' stamp: 'Olga Lucia Sarmiento 6/13/2012 02:00'!
calcularSueldoBruto 
	"comment stating purpose of message"! !

Object subclass: #Empresa
	instanceVariableNames: 'nombre CUIT empleados recibos'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Practica2-Ejercicio1'!

!Empresa methodsFor: 'as yet unclassified' stamp: 'PauloPerez 6/12/2012 20:56'!
calcularTotalRetenciones
	"comment stating purpose of message"

	| totalRetenciones|
	^totalRetenciones ! !

!Empresa methodsFor: 'as yet unclassified' stamp: 'PauloPerez 6/12/2012 20:55'!
calcularTotalSueldosBrutos
	"comment stating purpose of message"

	| totalSueldosBrutos |
	^totalSueldosBrutos ! !

!Empresa methodsFor: 'as yet unclassified' stamp: 'PauloPerez 6/12/2012 20:55'!
calcularTotalSueldosNetos
	"comment stating purpose of message"

	| totalSueldosNetos |
	^totalSueldosNetos ! !

!Empresa methodsFor: 'as yet unclassified' stamp: 'PauloPerez 6/12/2012 23:52'!
nombre 
	^nombre! !

!Empresa methodsFor: 'as yet unclassified' stamp: 'PauloPerez 6/12/2012 20:56'!
realizarLiquidacionSueldos
	"comment stating purpose of message"

	| temporary variable names |
	! !

Object subclass: #ReciboHaberes
	instanceVariableNames: 'nombreEmpleado direccion fechaEmision sueldoBruto sueldoNeto renglones'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Practica2-Ejercicio1'!

Object subclass: #Renglon
	instanceVariableNames: 'concepto monto'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Practica2-Ejercicio1'!
